package com.vaadin.bugs;

import com.vaadin.server.VaadinRequest;
import com.vaadin.ui.Label;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;

/**
 * class BugTest1UI: Test that should work, a vertical component not full size.
 * 
 * @author dnebinger
 * 
 *         $Id:$
 */
public class BugTest1UI extends UI {
	private static final long serialVersionUID = 8041128980002007261L;

	/**
	 * @see com.vaadin.ui.UI#init(com.vaadin.server.VaadinRequest)
	 */
	protected void init(final VaadinRequest request) {

		final VerticalLayout layout = new VerticalLayout();

		layout.setSpacing(true);
		layout.setMargin(true);
		layout.setImmediate(false);

		layout.addComponent(new Label("Label 1"));
		layout.addComponent(new Label("Label 2"));
		layout.addComponent(new Label("Label 3"));
		layout.addComponent(new Label("Label 4"));
		layout.addComponent(new Label("Label 5"));

		setContent(layout);
	}
}
